proxies:
  - {name: yjiang, server: yjiang.cn, port: 8443, type: trojan, password: !<str> 582033, skip-cert-verify: true, udp: true}
  - {name: linode, server: linode.yjiang.cn, port: 8443, type: trojan, password: !<str> 582033, skip-cert-verify: true, udp: true}
  - {name: iamman, server: iamman.cn, port: 8443, type: trojan, password: mantrojan!, skip-cert-verify: true, udp: true}

proxy-groups:
  - { name: "Proxy", type: url-test, url: 'http://www.gstatic.com/generate_204', interval: 300, proxies: ["yjiang","linode","iamman"]} 

rule-providers:
  reject:
    type: http
    behavior: domain
    url: "https://raw.fastgit.org/snapei/clash-pro-rules/release/reject.txt"
    path: ./ruleset/reject.yaml
    interval: 86400

  icloud:
    type: http
    behavior: domain
    url: "https://raw.fastgit.org/snapei/clash-pro-rules/release/icloud.txt"
    path: ./ruleset/icloud.yaml
    interval: 86400

  apple:
    type: http
    behavior: domain
    url: "https://raw.fastgit.org/snapei/clash-pro-rules/release/apple.txt"
    path: ./ruleset/apple.yaml
    interval: 86400

  google:
    type: http
    behavior: domain
    url: "https://raw.fastgit.org/snapei/clash-pro-rules/release/google.txt"
    path: ./ruleset/google.yaml
    interval: 86400

  proxy:
    type: http
    behavior: domain
    url: "https://raw.fastgit.org/snapei/clash-pro-rules/release/proxy.txt"
    path: ./ruleset/proxy.yaml
    interval: 86400

  direct:
    type: http
    behavior: domain
    url: "https://raw.fastgit.org/snapei/clash-pro-rules/release/direct.txt"
    path: ./ruleset/direct.yaml
    interval: 86400

  cncidr:
    type: http
    behavior: ipcidr
    url: "https://raw.fastgit.org/snapei/clash-pro-rules/release/cncidr.txt"
    path: ./ruleset/cncidr.yaml
    interval: 86400

  lancidr:
    type: http
    behavior: ipcidr
    url: "https://raw.fastgit.org/snapei/clash-pro-rules/release/lancidr.txt"
    path: ./ruleset/lancidr.yaml
    interval: 86400

  youtube:
    type: http
    behavior: domain
    url: "https://raw.fastgit.org/snapei/clash-pro-rules/release/youtube.txt"
    path: ./ruleset/youtube.yaml
    interval: 86400
    
  netflix:
    type: http
    behavior: domain
    url: "https://raw.fastgit.org/snapei/clash-pro-rules/release/netflix.txt"
    path: ./ruleset/netflix.yaml
    interval: 86400
    
  netflixcidr:
    type: http
    behavior: ipcidr
    url: "https://raw.fastgit.org/snapei/clash-pro-rules/release/netflixcidr.txt"
    path: ./ruleset/netflixcidr.yaml
    interval: 86400

  gfw:
    type: http
    behavior: domain
    url: "https://raw.fastgit.org/snapei/clash-pro-rules/release/gfw.txt"
    path: ./ruleset/gfw.yaml
    interval: 86400

  greatfire:
    type: http
    behavior: domain
    url: "https://raw.fastgit.org/snapei/clash-pro-rules/release/greatfire.txt"
    path: ./ruleset/greatfire.yaml
    interval: 86400

  tld-not-cn:
    type: http
    behavior: domain
    url: "https://raw.fastgit.org/snapei/clash-pro-rules/release/tld-not-cn.txt"
    path: ./ruleset/tld-not-cn.yaml
    interval: 86400

  telegramcidr:
    type: http
    behavior: ipcidr
    url: "https://raw.fastgit.org/snapei/clash-pro-rules/release/telegramcidr.txt"
    path: ./ruleset/telegramcidr.yaml
    interval: 86400

  tiktok:
    type: http
    behavior: domain
    url: "https://raw.fastgit.org/snapei/clash-pro-rules/release/tiktok.txt"
    path: ./ruleset/tiktok.yaml
    interval: 86400


rules:
  - RULE-SET,lancidr,DIRECT,no-resolve
  - RULE-SET,cncidr,DIRECT,no-resolve
  - RULE-SET,reject,REJECT
  - RULE-SET,icloud,DIRECT
  - RULE-SET,apple,DIRECT
  - RULE-SET,google,Proxy
  - RULE-SET,youtube,Proxy
  - RULE-SET,netflix,Proxy
  - RULE-SET,netflixcidr,Proxy,no-resolve
  - RULE-SET,gfw,Proxy
  - RULE-SET,greatfire,Proxy
  - RULE-SET,tld-not-cn,Proxy
  - RULE-SET,telegramcidr,Proxy,no-resolve
  - RULE-SET,tiktok,Proxy
  - RULE-SET,proxy,Proxy
  - RULE-SET,direct,DIRECT
  - GEOIP,CN,DIRECT
  - MATCH,Proxy

port: 3333
socks-port: 23456
redir-port: 23457
allow-lan: true
mode: rule
log-level: error
external-controller: 192.168.50.1:9990
experimental:
  ignore-resolve-fail: true
external-ui: dashboard
secret: "clash"
profile:
  store-selected: false
ipv6: false

hosts:
  router.asus.com: 192.168.50.1
  services.googleapis.cn: 74.125.193.94
  time.android.com: 203.107.6.88
  ipv6.msftconnecttest.com: 2a01:111:2003::52 #勿删
  www.msftconnecttest.com: 13.107.4.52 #勿删

routing-mark: 255

dns:
  enable: true
  ipv6: false
  listen: :23453
  default-nameserver:
    - 223.5.5.5
    - 8.8.8.8
  enhanced-mode: redir-host 
  nameserver:
    - https://223.5.5.5/dns-query
    - tls://101.101.101.101:853
    - https://doh.pub/dns-query
  fallback:
    - https://doh.dns.sb/dns-query
    - tcp://208.67.222.222:443
    - tls://dns.google
  fallback-filter:
    geoip: true
    ipcidr:
      - 240.0.0.0/4
    domain:
      #NetFlix
      - '+.netflix.com.edgesuite.net'
      - '+.fast.com'
      - '+.netflix.com'
      - '+.netflix.net'
      - '+.netflixdnstest0.com'
      - '+.netflixdnstest1.com'
      - '+.netflixdnstest2.com'
      - '+.netflixdnstest3.com'
      - '+.netflixdnstest4.com'
      - '+.netflixdnstest5.com'
      - '+.netflixdnstest6.com'
      - '+.netflixdnstest7.com'
      - '+.netflixdnstest8.com'
      - '+.netflixdnstest9.com'
      - '+.nflxext.com'
      - '+.nflximg.com'
      - '+.nflximg.net'
      - '+.nflxso.net'
      - '+.nflxvideo.net'
      #Linkedin
      - '+.linkedin.com'
      - '+.licdn.com'
      #proxy
      - '+.renzhe.cloud'


tproxy: true
tproxy-port: 23458
